# Class TCefSharedProcessMessageBuilderRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFSharedProcessMessageBuilder

## Declaration

`type TCefSharedProcessMessageBuilderRef = class(TCefBaseRefCountedRef, ICefSharedProcessMessageBuilder)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefSharedProcessMessageBuilderRef

## Overview

### Methods

| `function IsValid: boolean;`
| `function Size: NativeUInt;`
| `function Memory: pointer;`
| `function Build: ICefProcessMessage;`
| `class function UnWrap(data: Pointer): ICefSharedProcessMessageBuilder;`
| `class function CreateBuilder(const name: ustring; byte_size: NativeUInt): ICefSharedProcessMessageBuilder;`

## Description

### Methods

| `function IsValid: boolean;`
This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.IsValid. Returns true (1) if the builder is valid.

| `function Size: NativeUInt;`
This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.Size. Returns the size of the shared memory region in bytes. Returns 0 for invalid instances.

| `function Memory: pointer;`
This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.Memory. Returns the pointer to the writable memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

| `function Build: ICefProcessMessage;`
This item has no description. Showing description inherited from ICefSharedProcessMessageBuilder.Build. Creates a new ICefProcessMessage from the data provided to the builder. Returns nullptr for invalid instances. Invalidates the builder instance.

| `class function UnWrap(data: Pointer): ICefSharedProcessMessageBuilder;`
This item has no description.

| `class function CreateBuilder(const name: ustring; byte_size: NativeUInt): ICefSharedProcessMessageBuilder;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.